CSharp (SDK)
using MeetKai.MKA1;
using MeetKai.MKA1.Types.Components;
var sdk = new SDK(bearerAuth: "<YOUR_BEARER_TOKEN_HERE>");
var res = await sdk.Serving.Tenants.SetAsync(
orgId: "<id>",
body: new ServingTenantSet() {
Enabled = true,
}
);
// handle responsefrom meetkai_mka1 import SDK
with SDK(
bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:
res = sdk.serving.tenants.set(org_id="<id>", enabled=True)
# Handle response
print(res)import { SDK } from "@meetkai/mka1";
const sdk = new SDK({
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await sdk.serving.tenants.set({
orgId: "<id>",
servingTenantSet: {
enabled: true,
},
});
console.log(result);
}
run();curl --request PUT \
--url https://apigw.mka1.com/api/v1/serving/tenants/{org_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"enabled": true
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({enabled: true})
};
fetch('https://apigw.mka1.com/api/v1/serving/tenants/{org_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"disabled_at": "2023-11-07T05:31:56Z",
"enabled": true,
"enabled_at": "2023-11-07T05:31:56Z",
"enabled_by": "<string>",
"org_id": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"type": "<string>"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}Serving Tenants
Set serving tenant enablement
Enable or disable serving for an organization and all of its teams. Disabling blocks product API access but does not stop existing workloads or callbacks. Cluster administrators only.
PUT
/
api
/
v1
/
serving
/
tenants
/
{org_id}
CSharp (SDK)
using MeetKai.MKA1;
using MeetKai.MKA1.Types.Components;
var sdk = new SDK(bearerAuth: "<YOUR_BEARER_TOKEN_HERE>");
var res = await sdk.Serving.Tenants.SetAsync(
orgId: "<id>",
body: new ServingTenantSet() {
Enabled = true,
}
);
// handle responsefrom meetkai_mka1 import SDK
with SDK(
bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:
res = sdk.serving.tenants.set(org_id="<id>", enabled=True)
# Handle response
print(res)import { SDK } from "@meetkai/mka1";
const sdk = new SDK({
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await sdk.serving.tenants.set({
orgId: "<id>",
servingTenantSet: {
enabled: true,
},
});
console.log(result);
}
run();Authorizations
Gateway auth: send Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, you can also send X-On-Behalf-Of: <external-user-id>.
Headers
Optional external end-user identifier forwarded by the API gateway.
Path Parameters
Body
application/json
Desired organization-wide serving state.
Was this page helpful?
⌘I